echo off
rem  Automatic Installation routine.  Requires two parameters:
rem  1: the source drive (the one with the PkGOLD Testdrive files)
rem  2: the target drive (where the program will be installed)
rem  The target must have at least 360K free for the main program and
rem  an additional 250K for the help system. A 720-K floppy or a hard
rem  disk is recommended to allow all files to be installed.
cls
echo.
ECHO  Ŀ
echo                                                  
echo        PkGOLD ver 9 TestDrive Installation       
echo           For PK-87, 88, 232, 232 MBX            
echo                                                  
ECHO             Interflex Systems Design             
echo               Post Office Box 6418               
echo           Laguna Niguel, CA 92607-6418           
echo                                                  
echo    VISA, MC, Discover orders: (714) 496-6639     
echo    Web Page    http://www.interflex.com          
echo  
pause
if t%1==t goto noparm
if t%2==t goto noparm
if t%1==t%2 goto samedrive
Goto Install
echo Found %1
rem ------------- No parameters given to install
:noparm
if exist a:tdsfx.exe goto defaults
echo      You did not provide a source and destination drive letter
echo  Ŀ
echo   Type INSTALL x: y:       e.g.  INSTALL A: C: (drive letters only) 
echo                                                                     
echo   where x: is the source drive (the one with PkGOLD Test Drive)     
echo     and y: is the target drive, where you want to put the program.  
echo  
goto done
rem ------------- User used same drive letters
:samedrive
echo Ŀ
echo  The Source drive must be different from the Target drive. 
echo                                                            
echo     e.g.  INSTALL A: D:                                    
echo 
goto done
:install
if not exist %1tdsfx.exe goto baddisk
echo  Ŀ
echo    o    Installing from "%1" to "%2"                          
echo                                                               
echo    o    A subdirectory named "PkDEMO" will be created         
echo                                                               
echo    o    If this is okay, hit [enter]. To cancel installation  
echo         at this point, use Ctrl-C.                            
echo  
ECHO.
pause
ECHO.
%2
cd\
md PkDEMO > nul
cd PkDEMO > nul
if not exist PkDEMO.exe goto newdir
ECHO.
echo    It appears that a version of PkDEMO already exists in the
echo    directory "%2\PkDEMO"
ECHO.
echo    You can install this version "on top" of the existing version
echo    by hitting any key, or you can use Control-Break to stop the
echo    installation and manually delete the existing PkDEMO files.
echo    Or you could install to a different drive letter.
ECHO.
echo    Suggestion: Go ahead and let this install into the PkDEMO
echo    directory by hitting any key.
ECHO.
pause
echo y|del *.* > nul
ECHO.
:NEWDIR
echo  Ŀ
echo     Now unpacking the PkDEMO program and support files....   
echo  
ECHO.
%1tdsfx 
if not exist PkDEMO.exe goto noinstall
touch order.txt > nul
copy order.txt nul > nul
del touch.com > nul
echo  Ŀ
echo     Now unpacking the PkDEMO Help system...                  
echo  
ECHO.
%1tdhlpsfx
echo  Ŀ
echo     Now unpacking some useful Docfiles...                    
echo  
ECHO.
%1docfiles
if exist PkDEMO.HLP goto ALLOK
echo  Ŀ
echo   HELP system not installed. Not enough room (needs 200K+)   
echo  
:ALLOK
CLS
ECHO.
ECHO.
echo  ķ
echo     You may now run the program by typing PkDEMO [enter]        
rem
if NOT exist PkDEMO.hlp goto skiphelp
rem
echo     Use [F1] for online help while program is running.          
echo                                                                 
echo     The help system has information on TNC setup and other      
echo     subjects. You can use the HELP system by itself by          
echo     starting the program with the "/H" option, e.g. PkDEMO/H    
:skiphelp
echo                                                                 
echo     Also visit our web page: http://www.interflex.com           
echo     73, de Jeff WA4EGT -- InterFlex Systems -- (714) 496-6639   
echo  ͼ
ECHO.
ECHO   The TestDrive is in the directory (path) %2\PkDEMO
ECHO   The Command line for a Win 95 shortcut is  %2\PkDEMO\PkDEMO.EXE
ECHO   Type CD %2\PkDEMO then type PkDEMO to start the TestDrive program.
ECHO   Read Win31.txt or Win95.txt, and other files with .TXT extension
ECHO   Type  PkDEMO to run the testdrive program
ECHO.
goto done
rem Bad Installation
:noinstall
cls
echo Ŀ
echo  Sorry, but either no room on target, or you didn't specify    
echo  the drives correctly, the Testdrive disk is not in "%2"       
echo  or some other problem.  Please insert your TestDrive disk in  
echo  some floppy drive, and try again.                             
echo 
ECHO.
goto done
:baddisk
ECHO.
ECHO.
echo  Ŀ
echo                                                                
echo      Error: TSDFX.EXE was not found. Is this file on the       
echo      Root of A: drive? or in the directory of the specified    
echo      source drive? Check and try again, or call InterFlex      
echo                                                                
echo  
ECHO.
goto done
rem Come here on Default Install A: to C:
:defaults
echo  Ŀ
echo    o    Installing from "A:" to "C:"                          
echo                                                               
echo    o    A subdirectory named "PkDEMO" will be created         
echo                                                               
echo    o    If this is okay, hit [enter]. To cancel installation  
echo         at this point, use Ctrl-C.                            
echo  
ECHO.
pause
ECHO.
C:
cd\
md PkDEMO > nul
cd PkDEMO > nul
if not exist PkDEMO.exe goto newdir2
ECHO.
echo    It appears that a version of PkDEMO already exists in the
echo    directory "C:\PkDEMO"
ECHO.
echo    You can install this version "on top" of the existing version
echo    by hitting any key, or you can use Control-Break to stop the
echo    installation and manually delete the existing PkDEMO files.
echo    Or you could install to a different drive letter.
ECHO.
echo    Suggestion: Go ahead and let this install into the PkDEMO
echo    directory by hitting any key.
ECHO.
pause
echo y|del *.* > nul
ECHO.
:NEWDIR2
echo  Ŀ
echo     Now unpacking the PkDEMO program and support files....   
echo  
ECHO.
A:tdsfx 
if not exist PkDEMO.exe goto noinstall
touch order.txt > nul
copy order.txt nul > nul
del touch.com > nul
echo  Ŀ
echo     Now unpacking the PkDEMO Help system...                  
echo  
ECHO.
A:tdhlpsfx
echo  Ŀ
echo     Now unpacking some useful Docfiles...                    
echo  
ECHO.
A:docfiles
if exist PkDEMO.HLP goto ALLOK2
echo  Ŀ
echo   HELP system not installed. Not enough room (needs 200K+)   
echo  
:ALLOK2
CLS
ECHO.
ECHO.
echo  ķ
echo     You may now run the program by typing PkDEMO [enter]        
rem
if NOT exist PkDEMO.hlp goto skiphelp2
rem
echo     Use [F1] for online help while program is running.          
echo                                                                 
echo     The help system has information on TNC setup and other      
echo     subjects. You can use the HELP system by itself by          
echo     starting the program with the "/H" option, e.g. PkDEMO/H    
:skiphelp2
echo                                                                 
echo     Also visit our web page: http://www.interflex.com           
echo     73, de Jeff WA4EGT -- InterFlex Systems -- (714) 496-6639   
echo  ͼ
copy a:PkDEMO.pf c:\windows\desktop\PkDEMO.pif
ECHO.
ECHO   The TestDrive is in the directory (path) C:\PkDEMO
echo.
ECHO   Win 95 users: Right click on the PkDEMO Icon, select Properties
echo   Change command line to:  C:\PkDEMO\PkDEMO.EXE   or use
echo   My-Computer to navigate to C:\PkDEMO and click on PkDEMO or drag
echo   the icon to your desktop (There are lots of ways to put an icon on 
echo   the desktop).
echo.
ECHO   Read Win31.txt or Win95.txt, and other files with .TXT extension
ECHO   DOS users, just type  PkDEMO to run the testdrive program
ECHO.
ECHO   Windows users: You may need to manually close this window to proceed.
ECHO.
goto done
rem Bad Installation
:noinstal
cls
echo Ŀ
echo  Sorry, but either no room on target, or you didn't specify    
echo  the drives correctly, the Testdrive disk is not in "C:"       
echo  or some other problem.  Please insert your TestDrive disk in  
echo  some floppy drive, and try again.                             
echo 
ECHO.
goto done
:baddisk2
ECHO.
ECHO.
echo  Ŀ
echo     *** Error: File Not Found or in wrong directory ***        
echo    TDSFX.EXE was not found in A:\TDSFX.EXE   Did you put       
echo    all the install files in the ROOT directory of A: ??        
echo    Check, try again, or call InterFlex for help, or write      
echo    to support@interflex.com == We'll be glad to help !!        
echo  
ECHO.
goto done
rem Come here on Default Install A: to C:
rem Program Ends here
:done
ECHO Read any messages on this screen then
pause
EXIT